package com.zxhl.cms.pay

import android.app.Activity
import com.zxhl.cms.net.model.box.AppInEntity
import com.zxhl.cms.net.model.video.MemberEntity

/**
 * Created by gaoleichao on 2021/8/31
 */
class PayContract {


    interface View {

        fun updatePriceList(data: List<MemberEntity.ProductDetail>)

        fun verifyOrderFail(errorMsg: String)

        fun requestOrderSuc()

        fun requestH5OrderSuc(form: String)

        fun verifyOrderSuc(orsder: String)


        fun setCanInvest(boolean: Boolean?)
        fun setOrderNo(order: String?)
        fun setAppInfo(result: AppInEntity?)
    }

    interface Presenter {
        fun requestMiniProgrom(goodsId: String, payType: String, payMode: String)
        fun requestWechatPayOrder(goodsId: String, payType: String)
        fun requestAliPay(activity: Activity, goodsId: String, payType: String, payMode: String)

        fun verifyPay(order: String?, payType: Int)


        fun getPriceList()
        fun getVersifacation()
        fun appInfo()

        //商城购买
        fun shoprequestWechatPayOrder(
            goodsId: String,
            payType: String,
            payMode: String,
            addressId: String,
            discount: String,
            goodIds: String,
            orderNotes: String
        )

        fun shoprequestAliPay(
            activity: Activity,
            goodsId: String,
            payType: String,
            payMode: String,
            addressId: String,
            discount: String,
            goodIds: String,
            orderNotes: String
        )
    }

}